
Foreman - Bug #4415

FK error when deleting a smart proxy

02/23/2014 08:58 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Mysql2::Error: Cannot delete or update a parent row: a foreign key constraint fails (`foreman`.`su

bnets`, CONSTRAINT `subnets_dhcp_id_fk` FOREIGN KEY (`dhcp_id`) REFERENCES `smart_proxies` (`id`))

: DELETE FROM `smart_proxies` WHERE `smart_proxies`.`id` = 4

Related issues:

Related to Foreman - Bug #3194: Ugly errors when destroy actions are stopped ... Duplicate 10/03/2013

Is duplicate of Foreman - Bug #5788: before_destroy missing from EnsureNotUse... Closed 05/19/2014

History

#1 - 02/24/2014 08:43 AM - Dominic Cleal

- Related to Bug #3194: Ugly errors when destroy actions are stopped by FKs added

#2 - 05/23/2014 10:07 AM - Dominic Cleal

- Is duplicate of Bug #5788: before_destroy missing from EnsureNotUsedBy.new in SmartProxy model added

#3 - 05/23/2014 10:07 AM - Dominic Cleal

- Status changed from New to Duplicate
